.les-evenements-de-agenda{
     max-width: 930px;
}

.les-evenements {
    /*Layout*/
    display: grid;
    grid-template-columns: clamp(20rem,11.23rem + 35.61vw,30rem);
    justify-content: center;
    align-items: center;
    gap: 2rem;
    margin: 0 auto;

    @media (width >=41rem) {
        & {
            grid-template-columns: repeat(2, clamp(18.375rem, -2.375rem + 50.609vw, 21.5rem));
            gap: 1.5rem;
        }
    }

    @media (width >=64rem) {
        & {
            grid-template-columns: repeat(2, 18.375rem);
            justify-content: normal;
            padding: 0;
            margin: 0;
        }
    }

    @media (width >=70.375rem) {
        & {
            grid-template-columns: repeat(3, clamp(16rem,-1.975rem + 25.54vw, 18rem));
            column-gap: 1rem;
        }
    }

    @media (width >=78rem) {
        & {
            grid-template-columns: repeat(3, 18.375rem);
            column-gap: clamp(1rem,-38rem + 50vw,1.5rem);
        }
    }
}

.un-evenement {
    /*Box model*/
    border: 1px solid #CACCD6;
    border-radius: 0.25rem;
    transition: transform 0.3s cubic-bezier(0.4, 0, 0.2, 1),
        box-shadow 0.3s cubic-bezier(0.4, 0, 0.2, 1);
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.05);
    overflow: hidden;

    /*Display*/
    display: flex;
    flex-direction: column;

    &:hover {
        transform: translateY(-8px);
        box-shadow: 0 12px 24px rgba(0, 0, 0, 0.12),
            0 4px 8px rgba(0, 0, 0, 0.04);
       
    }

    a {
        margin: 0;
        padding: 0;
    }

    img {
        height: 173px;
        object-fit: cover;
        object-position: center;
    }

    .un-evenement-corps {
        /* Box model*/
        padding: 0.5rem 1rem 0.75rem;
        /*Layout*/
        display: flex;
        flex-direction: column;


        .un-evenement-categorie {
            /*Box model*/
            margin-bottom: 0.25rem;
            /*content*/
            display: flex;
            flex-direction: row;
            gap: 0.25rem;
            align-items: center;

            font-weight: 600;
            font-size: 0.875rem;
            color: #666666;
        }

        .un-evenement-titre {
            min-height: 4.5rem;
            margin-bottom: 1rem;

            font-weight: 700;
            font-size: 1rem;
            line-height: 1.5;


            display: -webkit-box;
            -webkit-line-clamp: 3;
            line-clamp: 3;
            -webkit-box-orient: vertical;
            text-overflow: ellipsis;
            overflow: hidden;
        }

        .un-evenement-lieu {
            height: 1.05rem;

            display: -webkit-box;
            flex-direction: row;
            align-items: center;
            gap: 0.25rem;

            color: var(--primary-color);
            font-weight: 500;
            font-size: 0.8rem;

            -webkit-line-clamp: 1;
            line-clamp: 1;
            -webkit-box-orient: vertical;
            text-overflow: ellipsis;
            overflow: hidden;

        }


    }

    hr {
        height: 1px;
        margin: 0;
        padding: 0;

    }

    .un-evenement-footer {
        /*Box model*/
        padding: 0.75rem 1rem;
        /*Content*/
        text-align: start;
        font-size: 0.8rem;
    }

}